//---------------------------------------------------------------------------

#ifndef langH
#define langH
#include <vcl.h>
#pragma hdrstop

#include <vector>

enum TextEnum {TE_LangName, TE_Inactive, TE_Active, TE_Exit, TE_About, TE_Options, TE_OK,
TE_Hotkey, TE_Cancel,TE_StartSetting,TE_LastSetting, TE_Uninstall,
TE_UninstallConfirm,TE_HotkeyFunction,TE_ConvertNow,TE_ToggleActive,
TE_StripWS,TE_StripCR,TE_StartWWin, TE_OnlyCopyLinks,
TE_OnlineHelp,TE_Lang, TE_AutoLang
};


AnsiString LangText(TextEnum t);
const std::vector<AnsiString>& LangList();

class TLangChangeNotify
{
public:
   virtual void LangChange()=0;
};

class TLangNotifier
{
   std::vector <TLangChangeNotify *> Clients;
public:
   void AddLangNotify(TLangChangeNotify *n);
   void RemoveLangNotify(TLangChangeNotify *n);
   void LangChange();
};
extern TLangNotifier LangNotifier;



//---------------------------------------------------------------------------
#endif
